from django.conf.urls import url, include
from django.contrib.auth import views as auth_views
from dashboard import views


urlpatterns = [

    url(r'^$', views.index, name="dashboard"),
    url(r'^planning/rubric_details/(?P<pk>\d+)$', views.rubric_details, name='planning_rubric_details'),
    url(r'^planning/rubric_create/$', views.rubric_create, name='planning_rubric_create'),
    url(r'^planning/rubric_list/$', views.rubric_list, name='planning_rubric_list'),
    url(r'^planning/add_rubric/$', views.rubric_add, name='planning_rubric_add'),
    url(r'^planning/rubric_delete/(?P<pk>\d+)$', views.rubric_delete, name='planning_rubric_delete'),

    url(r'^planning/abet_list/$', views.abet_list, name='planning_abet_list'),
    url(r'^planning/abet_delete/(?P<pk>\d+)$', views.abet_delete, name='planning_abet_delete'),
    url(r'^planning/add_abet/$', views.abet_add, name='planning_abet_add'),
    url(r'^planning/abet_details/(?P<pk>\d+)$', views.abet_details, name='planning_abet_details'),
    url(r'^planning/abet_create/$', views.abet_create, name='planning_abet_create'),
    url(r'^planning/abet_rubric_list/$', views.abet_rubric_list, name='planning_abet_rubric_list'),
    url(r'^planning/abet_rubric_add/$', views.abet_rubric_add, name='planning_abet_rubric_add'),
    url(r'^planning/abet_rubric_add_outcomes/$', views.abet_rubric_add_outcomes, name='planning_abet_rubric_add_outcomes'),
    url(r'^planning/abet_rubric_create/$', views.abet_rubric_create, name='planning_abet_rubric_create'),
    url(r'^planning/abet_rubric_details/(?P<pk>\d+)$', views.abet_rubric_details, name='planning_abet_rubric_details'),
    url(r'^planning/rubric_outcome_remove/$', views.rubric_outcome_remove, name='planning_rubric_outcome_remove'),
    url(r'^planning/get_outcome_opt/$', views.get_opt_rubric_outcomes, name='planning_abet_rubric_opt'),
    url(r'^planning/set_grades/$', views.set_grades, name='planning_set_grades'),
    url(r'^planning/abet_rubric_activate/$', views.abet_rubric_activate, name='planning_abet_rubric_activate'),
    url(r'^planning/abet_rubric_deactivate/$', views.abet_rubric_deactivate, name='planning_abet_rubric_deactivate'),
    url(r'^planning/abet_rubric_delete/(?P<pk>\d+)$', views.abet_rubric_delete, name='planning_abet_rubric_delete'),

    url(r'^planning/outcome_create/$', views.outcome_create, name='planning_outcome_create'),
    url(r'^planning/outcome_delete/$', views.outcome_delete, name='planning_outcome_del'),
    url(r'^planning/criteria_create/$', views.criteria_create, name='planning_criteria_create'),
    url(r'^planning/criteria_edit/$', views.criteria_edit, name='planning_criteria_edit'),
    url(r'^planning/get_criteria_detail/$', views.get_criteria_info, name='planning_get_criteria_detail'),
    url(r'^planning/criteria_delete/$', views.criteria_delete, name='planning_criteria_del'),
    url(r'^evaluation/student_evaluation/(?P<pk_session>(\d+))/(?P<pk_student>(\d+))/$', views.student_evaluation, name='student_evaluation'),
    url(r'^planning/abet_activate/$', views.abet_activate, name='planning_abet_activate'),
    url(r'^planning/abet_deactivate/$', views.abet_deactivate, name='planning_abet_deactivate'),
    url(r'^planning/get_subjects/$', views.get_carreer_subjects, name='get_carreer_subject'),
    url(r'^planning/get_outcomes/$', views.get_carreer_outcomes, name='get_carreer_outcomes'),

    url(r'^create_evaluation$', views.create_evaluation, name='create_evaluation'),
    url(r'^create_evaluation_hito$', views.create_evaluation_hito, name='create_evaluation_hito'),
    url(r'^charge_student$', views.charge_student, name='charge_student'),
    url(r'^charge_session$', views.charge_session, name='charge_session'),
    url(r'^evaluation/teacher_projects/$', views.teacher_projects, name='teacher_projects'),
    url(r'^get_data_carreer/$', views.get_data_carreer, name="get_data_carreer"),
    url(r'^delete_notifications', views.delete_notifications, name="delete_notifications"),
    url(r'^get_carrer/$', views.get_carrer, name="get_carrer"),
    url(r'^planning/add_evaluation$', views.evaluation_create, name="evaluation_create"),
    url(r'^planning/add_item$', views.item_create, name="item_create"),
    url(r'^planning/delete_evaluation$', views.delete_evaluation, name="delete_evaluation"),
    url(r'^planning/add_topic_week$', views.add_topic_week, name="add_topic_week"),
    url(r'^planning/add_presentation_item$', views.add_presentation_item, name="add_presentation_item"),
    url(r'^planning/delete_item$', views.delete_item, name="delete_item"),
    url(r'^planning/get_subject$', views.get_subject, name="get_subject"),
    url(r'^planning/rubric_activate$', views.rubric_activate, name="rubric_activate"),
    url(r'^planning/rubric_desactivate/(?P<pk>\d+)$', views.rubric_desactivate, name='rubric_desactivate'),
    url(r'^create_retro/$', views.create_retro, name='create_retro'),
    url(r'^load_carreer/$', views.load_carreer, name='load_carreer'),
    url(r'^validate_subject/$', views.validate_subject, name='validate_subject'),
    url(r'^get_carreers/$', views.get_carreers, name='get_carreers'),
    url(r'^bypass_carreer/$', views.bypass_carreer, name='bypass_carreer'),
    url(r'^project/', include('dashboard.project.urls')),
    url(r'^reports/', include('dashboard.reports.urls')),
    url(r'^student/', include('dashboard.student.urls')),
    url(r'^teacher/', include('dashboard.teacher.urls')),
    url(r'^banner/', include('import_banner_data.urls')),
    url(r'^mail/', include('dashboard.mail.urls')),
    # legacy
    url(r'^login/', include('dashboard.login.urls')),

]
